| Home | Libraries | People | FAQ | More

###### http::header::method_string (2 of 2 overloads)

Set the request-method.

###### Synopsis

    void
    method_string(
        string_view s);

###### Description

This function will set the request-method a known verb if the string matches, otherwise it will store a copy of the passed string.

###### Parameters

Name | Description
--- | ---
`s` | A string representing the request-method.

###### Remarks

This function is only available when `isRequest == true`.